services:
    SmartUserBundle\Security\User\UsernameProvider:
        arguments:
            - '@smart_user.manager.user'
            - '@doctrine'

    SmartUserBundle\Security\User\EmailProvider:
        arguments:
            - '@smart_user.manager.user'
            - '@doctrine'

    SmartUserBundle\Security\User\UsernameEmailProvider:
        arguments:
            - '@smart_user.manager.user'
            - '@doctrine'
